#include <bits/stdc++.h>
using namespace std;

int n, k, a[20005], j;
int main(){
 cin>>n>>k;
 for(int i=1; i<=n; i++){
    cin>>a[i];
    if(a[i]==k) j=i;
 }
 if(j==n) cout<<a[1]<<endl;
 else cout<<a[j+1]<<endl;


}